package com.zcloud.service.api;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2023/07/31 9:03
 */
public interface EducationApiService {

    /**教培统计数据
     * @param pd
     * @throws Exception
     */
    public PageData getDiagnosis(PageData pd);

    /**学习任务列表
     * @param pd
     * @throws Exception
     */
    List<PageData> studytaskList(PageData pd)throws Exception;


    /**
     * 月统计开班数 开班人数
     *
     * @param pd
     * @throws Exception
     */
    PageData eduMonthSta(PageData pd)throws Exception;
}
